/* Header */

.header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    z-index:1000;
    transition:.35s ease;
}

/* Navbar */

.navbar{

    width:min(92%,1400px);

    height:82px;

    margin:20px auto;

    padding:0 35px;

    display:flex;
    align-items:center;
    justify-content:space-between;

    border-radius:22px;

    background:rgb(234, 236, 239);

    backdrop-filter:blur(20px);

    -webkit-backdrop-filter:blur(20px);

    border:1px solid rgba(255,255,255,.08);

    box-shadow:
    0 20px 50px rgba(0,0,0,.25);

}

/* Logo */

.logo{

    font-size:28px;

    font-weight:800;

    color:#ffffff;

    letter-spacing:.3px;

}

.logo span{

    color:var(--primary);

}

/* Navigation */

.nav-links{

    display:flex;

    align-items:center;

    gap:34px;

}

/* Links */

.nav-links a{

    position:relative;

    font-size:16px;

    font-weight:600;

    color:var(--text-light);

    transition:var(--transition);

}

/* Hover */

.nav-links a:hover{

    color:#000000;

}

/* Underline */

.nav-links a::after{

    content:"";

    position:absolute;

    left:50%;

    bottom:-8px;

    width:0;

    height:2px;

    background:var(--primary);

    transition:.35s ease;

    transform:translateX(-50%);

}

.nav-links a:hover::after{

    width:100%;

}

/* CTA Button */

.nav-btn{

    display:flex;

    align-items:center;

    justify-content:center;

    padding:14px 26px;

    border-radius:50px;

    background:var(--primary);

    color:#000000;

    font-size:15px;

    font-weight:700;

    transition:var(--transition);

    box-shadow:

    0 10px 25px rgba(56,189,248,.30);

}

.nav-btn:hover{

    background:var(--primary-dark);

    transform:translateY(-4px);

    box-shadow:

    0 18px 35px rgba(56,189,248,.40);

}

/* Sticky Effect */

.header.scrolled .navbar{

    margin-top:10px;

    background:rgba(8,12,28,.92);

    border-color:rgba(56,189,248,.15);

    box-shadow:

    0 20px 45px rgba(0,0,0,.45);

}

/* Mobile Menu Button */

.menu-toggle{

    display:none;

    width:45px;

    height:45px;

    border-radius:12px;

    background:rgba(255,255,255,.06);

    border:1px solid rgba(255,255,255,.08);

    color:#0089de;

    font-size:20px;

    cursor:pointer;

    transition:.3s;

}

.menu-toggle:hover{

    background:rgba(56,189,248,.15);

    border-color:var(--primary);

}

.logo {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
}

.logo img {
    width: 42px;
    height: 42px;
    object-fit: contain;
    display: block;
}

.logo span {
    font-size: 20px;
    font-weight: 700;
    color: #fff;
    letter-spacing: -0.5px;
}